﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/
using System;
using System.Collections.Generic;
using System.Text;
using moxa;

namespace BIOSAlarm
{
    class Program
    {
        static void Main(string[] args)
        {
            int ErrorCode = 0x0;
            bool Temperature_Status = false;
            bool Checksum_Error = false, Keyboard_Error = false;
            ErrorCode = moxa.mxdevice.Get_Boot_ErrorCode();

            //Get Throttling Status
            Temperature_Status = moxa.mxdevice.Get_Temperature_Status();

            //Get Checksum Status
            Checksum_Error = ((ErrorCode & (1 << moxa.mxdevice.BIOS_CHECKSUM_ERROR)) > 0 ? true : false);

            //Get Keyboard Status
            Keyboard_Error = ((ErrorCode & (1 << moxa.mxdevice.BIOS_KEYBOARD_ERROR)) > 0 ? true : false);

            Console.WriteLine("Temperature_Status=" + Temperature_Status);
            Console.WriteLine("Checksum_Error=" + Checksum_Error);
            Console.WriteLine("Keyboard_Error=" + Keyboard_Error);
        }
    }
}
