﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;

namespace SerialReceive
{
    class Program
    {

        static void Main(string[] args)
        {
            // You must change the Interface first
            moxa.v2101.SerialInterface.SetComPortInterface("COM2:", moxa.v2101.SerialInterface.SerialMode.RS232_MODE);

            // create serial object and Set DCB
            System.IO.Ports.SerialPort serial = new System.IO.Ports.SerialPort("COM2:", 115200, System.IO.Ports.Parity.None, 8, System.IO.Ports.StopBits.One);

            // Set Hardware Flow Control
            serial.Handshake = System.IO.Ports.Handshake.RequestToSend;

            // define Receive Event to function "serial_DataReceived"
            serial.DataReceived += new System.IO.Ports.SerialDataReceivedEventHandler(serial_DataReceived);

            // open the Serial Port
            serial.Open();

            // wait a input event to quit the program
            string s = Console.ReadLine();
            serial.Close();
            serial = null;
        }

        static void serial_DataReceived(object sender, System.IO.Ports.SerialDataReceivedEventArgs e)
        {
            System.IO.Ports.SerialPort serial = (System.IO.Ports.SerialPort)sender;
            System.Console.WriteLine("Recv:" + serial.ReadLine());
        }
    }
}
