/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/


#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>

#include "fsioctl.h"
#include "moxa\devices.h"

#define MOXA_DEV_LIB

int _tmain(int argc, _TCHAR* argv[])
{
#ifndef MOXA_DEV_LIB
	DWORD dwTimer;

	// open the system service driver
	HANDLE hWdg = CreateFile( L"UCS1:", GENERIC_READ | GENERIC_WRITE, 0, NULL, OPEN_EXISTING, 0, NULL);

	dwTimer = 5000;
	// starts watchdog timer
	DeviceIoControl( hWdg, IOCTL_START_WDG, &dwTimer, sizeof(dwTimer), NULL, 0,  NULL, NULL);

	while ( TRUE )
	{
		printf( "Press \"ENTER\" in 5 seconds\n, 'q' to exit");
		WCHAR ch = getwchar();
		if ( ch == (WCHAR)'q' )
		{
			break;
		}

		// refresh watchdog timer
		DeviceIoControl( hWdg,  IOCTL_REFRESH_WDG, &dwTimer, sizeof(dwTimer), NULL, 0,  NULL, NULL);
		printf( "  *** fed *** \n");
	}

	// stops watchdog timer
	DeviceIoControl( hWdg, IOCTL_STOP_WDG, NULL, 0, NULL, 0,  NULL, NULL);

	// close the system service driver
	CloseHandle(hWdg);
#else
	DWORD dwTimer = 5000;

	HANDLE hWdg = watchdog_init(dwTimer);
	while ( TRUE )
	{
		printf( "Press \"ENTER\" in 5 seconds\n, 'q' to exit");
		WCHAR ch = getwchar();
		if ( ch == (WCHAR)'q' )
		{
			break;
		}

		// refresh watchdog timer
		watchdog_refresh(hWdg, dwTimer);
		printf( "  *** fed *** \n");
	}

	// stops watchdog timer
	watchdog_release(hWdg);
#endif

	return 0;
}

